#ifndef __INITARRAYFUNC_HPP__
#define __INITARRAYFUNC_HPP__

#ifdef __CUDACC__
#define DEVICE __device__
#else
#define DEVICE
#endif

template <class T> DEVICE T TestFunc(T Const, int i){
  //return (T)1.0;
  return Const*((T)(1-2*(i%2)));
}

#endif
